//+------------------------------------------------------------------+
//|                                        super-signals-channel.mq4 |
//|                Copyright  2006, Nick Bilak, beluck[AT]gmail.com |
//+------------------------------------------------------------------+


#property indicator_chart_window
#property indicator_buffers 8
#property indicator_color1 Red
#property indicator_width1 1
#property indicator_color2 Lime
#property indicator_width2 1
#property indicator_color3 Red
#property indicator_width3 1
#property indicator_color4 Lime
#property indicator_width4 1

#property indicator_color7 Lime
#property indicator_width7 1
#property indicator_color8 Red
#property indicator_width8 1

#property indicator_color5 LightSlateGray
#property indicator_color6 LightSlateGray

#property indicator_style5 2
#property indicator_style6 2

extern int dist=24;
extern int SignalGap = 10;
extern int ShowBars = 500;
extern bool ShowFiboLevels = true;
extern double FiboLevel1= 14.6;       //Fibo levels 23,6 38,2; 61,8; 76.4; 50
extern double FiboLevel2= 85.4;   


double b1[];
double b2[];
double b3[];
double b4[];
double FibLevel1[];
double FibLevel2[];
double UpArrow[];
double DnArrow[];

int init()  {
   
   SetIndexStyle(0,DRAW_LINE,STYLE_SOLID,1);
   SetIndexStyle(1,DRAW_LINE,STYLE_SOLID,1);
   SetIndexStyle(2,DRAW_ARROW,STYLE_SOLID,1);
   SetIndexStyle(3,DRAW_ARROW,STYLE_SOLID,1);
   SetIndexStyle(6,DRAW_ARROW,STYLE_SOLID,1);
   SetIndexStyle(7,DRAW_ARROW,STYLE_SOLID,1);
   
   SetIndexBuffer(0,b1);
   SetIndexBuffer(1,b2);
   SetIndexBuffer(2,b3);
   SetIndexBuffer(3,b4);
   SetIndexBuffer(6,UpArrow);
   SetIndexBuffer(7,DnArrow);

   SetIndexStyle(4,DRAW_NONE);
   SetIndexBuffer(4,FibLevel1);
   SetIndexLabel(4,"FiboLevel1 "+FiboLevel1+"");

   SetIndexStyle(5,DRAW_NONE);
   SetIndexBuffer(5,FibLevel2);
   SetIndexLabel(5,"FiboLevel2 "+FiboLevel2+"");

if (ShowFiboLevels) {SetIndexStyle(4,DRAW_LINE); SetIndexStyle(5,DRAW_LINE);}

   SetIndexArrow(6,233);
   SetIndexArrow(7,234);
   
   SetIndexArrow(2,159);
   SetIndexArrow(3,159);
   
   return(0);
}

int start() {
   
   int k,i,j,limit,hhb,llb,phhb,pllb;
   
   if (ShowBars >= Bars) ShowBars = Bars;
   
   for (i=ShowBars;i>=0;i--)   {
   
      b1[i]=0;
      b2[i]=0;
      if (b3[i]<0) b3[i]=0;
      if (b4[i]<0) b4[i]=0;
      if (UpArrow[i]<0) UpArrow[i]=0;
      if (DnArrow[i]<0) DnArrow[i]=0;
      
      hhb = iHighest(Symbol(),0,MODE_HIGH,dist,i-dist/2);
      llb = iLowest(Symbol(),0,MODE_LOW,dist,i-dist/2);
      
//      phhb = iHighest(Symbol(),0,MODE_HIGH,dist,(i+1)-dist/2);
//      pllb = iLowest(Symbol(),0,MODE_LOW,dist,(i+1)-dist/2);

      int Trend = llb - hhb;
      double range = hhb-llb;
      double br = range*0.146;
      
      
      if (i==hhb)
         b3[i]=High[hhb]+SignalGap*Point;
      
      if (i==llb)
         b4[i]=Low[llb]-SignalGap*Point;
         
         b1[i]=High[hhb];//+SignalGap*Point;
         b2[i]=Low[llb];//-SignalGap*Point;
   
      FibLevel1[i]  =b2[i]+(b1[i]-b2[i])*FiboLevel1/100;
      FibLevel2[i]  =b2[i]+(b1[i]-b2[i])*FiboLevel2/100;
     
//      if (i+1==phhb)
//        DnArrow[i]=High[i]+SignalGap*Point; 

//      if (i+1==pllb)
//        UpArrow[i]=Low[i]-SignalGap*Point; 
      
      
   
   }
   return(0);
}


